Nápověda k aplikaci RealWorld Paint

Rozcestník nápovědy

RealWorld Paint

RealWorld Paint licence.

Co je RealWorld Paint?

RealWorld Paint je freeware editor obrázků a animací. S jeho pomocí můžete provádět základní úpravy fotografií nebo vytvářet vlastní rastrové obrázky.

Editor obsahuje několik kreslicích nástrojů, stylů vyplňování a obrázkových filtrů. Je možné pracovat s vrstvami a na vrstvu lze aplikovat efekty. Editor umožňuje rozšíření pomocí zásuvných modulů vlastních nebo kompatibiliních s Adobe Photoshop.

Dokumentace

Dokumentace je k dispozici výhradně online na http://www.rw-designer.com/image-editor-help.

e-mail: support@rw-designer.com
 http://www.rw-designer.com/


RealWorld Cursor Editor Copyrights

RealWorld Paint Copyrights

Autorská práva

RealWorld Paint je aplikace chráněná mezinárodním právem a smlouvami. Autory aplikace jsou Vlastimil Miléř a Jan Miléř.

Aplikace je dostupná jako FREEWARE a lze ji tedy bezplatně používat pro jakékoli zákonné účely, komerční i nekomerční. Není poskytována ŽÁDNÁ ZÁRUKA, že aplikace bude fungovat podle očekávání uživatelů nebo podle dostupné dokumentace. Autoři NEJSOU ZODPOVĚDNÍ za žádnou škodu způsobenou chybou v aplikaci. Vždy zálohujte zpracovávané obrázky a nepoužívejte aplikaci na počítači a nenahraditelnými daty.

Šíření aplikace je omezeno - pokud chcete umístit instalační balík na svůj server, na CD časopisu apod., musíte nejprve získat povolení - pište na adresu info@rw-designer.com.

Knihovny třetích stran

Software obsahuje následující knihovny. Každá knihovna má svou vlastní licenční politiku a autory.

libjpeg+jpegtran

Knihovna pro čtení a zapisování obrázků ve formátu JPEG. Navštivte http://www.ijg.org/ pro více informací, detaily licence nebo zrdojové kódy.

libpng + zlib

Knihovny pro čtení a zapisování obrázků ve formátu PNG. Navštivte http://www.libpng.org/pub/png/libpng.html a http://www.zlib.net/ pro více informací, detaily licence nebo zrdojové kódy.

lcms

CMS transformace pro JPEG obrázky jsou prováděny knihovnou lcms. Navštivte http://www.littlecms.com/ pro více informací, detaily licence nebo zrdojové kódy.

agg

Vyhlazená 2D grafika je renderována knihovnou AGG, verze 2.4. Navštivte http://www.antigrain.com/ pro více informací, detaily licence nebo zrdojové kódy.

Color Picker for WTL

Upravené tlačítko pro výběr barvy od Tima Smithe - http://www.codeproject.com/wtl/wtlcolorbutton.asp
e-mail: support@rw-designer.com
 http://www.rw-designer.com/


RealWorld Paint - Co teď?

Tipy pro: Editor animací

Máte aktivní okno pro upravování animací. V tomto okně můžete:

  • Přidat nebo odebrat snímky animovace - klikněte na obrázek v dolní části okna. Poté použijte tlačítka v liště nad tímto oknem pro přidání, duplikování nebo smazání snímků.
  • Přidat snímky do animace - odtáhněte obrázky z Průzkumníka Windows na okno s přehledem snímků. Můžete odtáhnout několik souborů najednou.
  • Nastavit trvání snímku - vyberte snímek a prostě začněte psát čísla. Rychlost celé animace lze změnit z menu "Animace".
  • Uložit jeden obrázek z animace - klikněte v nástrojové liště nebo v menu "Soubor" na položku "Uložit vybraný snímek".
  • Zkopírovat snímky z jedné animace do druhé - použijte standardní operace se schránkou. Při vkládání budou snímky přidány na konec animace.
  • Přeskládat snímky - pomocí myši přetáhněte snímky v rámci jednoho souboru. Podržte klávesu CTRL pro zkopírování snímků místo přesunutí.
  • Upravovat obrázek - použijte kreslicí nástroje. Vyberte nástroj v nástrojové liště nad plátnem. Nastevte jeho vlastnosti (vpravo), vyberte styl vyplňování, barvy, případně gradient. Poté kreslete pomocí levého tlačítka myši. Držení kláves CTRL nebo SHIFT při preslení ovlivňuje chování některých nástrojů. Online reference nástrojů.
  • Spustit obrázkovou operaci nebo filtr - klikněte v menu Obrázek, Doladit nebo Efekt na požadovanou operaci. Existuje-li výběr, bude operace provedena pouze s výběrem. Menu Ps-filtr umožní použít filtr kompatibilní s Adobe Photoshopem.
  • Zvětšovat, zmenšovat, posunovat obrázek - pokud se obrázek nevejde celý na obrazovku, můžete posunout viditelnou část pomocí myši - táhněte prostředním tlačítkem (kolečkem), zvětšení ovládáte otáčením kolečka myši.

Více informací na http://www.rw-designer.com/image-editor-help


RealWorld Paint - Co teď?

Tipy pro: Editor rastrových obrázků

Máte aktivní okno pro editování rastrových obrázků s vrstvami. V tomto okně můžete:

  • Upravovat obrázek - použijte kreslicí nástroje. Vyberte nástroj v nástrojové liště nad plátnem. Nastevte jeho vlastnosti (vpravo), vyberte styl vyplňování, barvy, případně gradient. Poté kreslete pomocí levého tlačítka myši. Držení kláves CTRL nebo SHIFT při preslení ovlivňuje chování některých nástrojů. Online reference nástrojů.
  • Spustit obrázkovou operaci nebo filtr - klikněte v menu Obrázek, Doladit nebo Efekt na požadovanou operaci. Existuje-li výběr, bude operace provedena pouze s výběrem. Menu Ps-filtr umožní použít filtr kompatibilní s Adobe Photoshopem.
  • Zvětšovat, zmenšovat, posunovat obrázek - pokud se obrázek nevejde celý na obrazovku, můžete posunout viditelnou část pomocí myši - táhněte prostředním tlačítkem (kolečkem), zvětšení ovládáte otáčením kolečka myši.
  • Uložit obrázek ve standardním formátu - klikněte v menu "Soubor" na položku "Uložit jako" a vyberte souborový formát a jeho vlastnosti v ukládacím okně.
  • Vytisknout obrázek - klikněte v menu "Soubor" na položku "Vytisknout obrázek". Chybí-li tato položka, naistalujte si plug-in Print na Online stránce.
  • Smíchat obrázky - přetáhněte obrázek z manažeru souborů na okno rastrového editoru pro jeho vložení.

Více informací na http://www.rw-designer.com/image-editor-help


RealWorld Paint - Co teď?

Tipy pro: Otevírání a vytváření dokumentů

Aktivní okno neobsahuje žádný dokument. V aktivním okně můžete:

  • Vytvořit nový dokument - klikněte na tlačítko "Vytvořit" po levé straně. Poklepejte na šablonu, kterou chcete použít pro vytvoření nového dokumentu.
  • Otevřít dokument - přetáhněte dokument z manažeru souborů nebo klikněte na tlačítko "Otevřít" po levé straně a poté navigujte k Vašemu souboru. Chcete-li otevřít dokument, se kterým jste nedávno pracovali, klikněte na tlačítko "Historie" a pak na vybraný dokument.
  • Konfigurovat aplikaci - použijte příkazy v menu Nástroje.

Více informací na http://www.rw-designer.com/image-editor-help